> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List ticket records

> Paginated response with all tickets created by customers



## OpenAPI

````yaml /openapi.yaml get /tickets
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /tickets:
    get:
      tags:
        - Tickets API
      summary: List ticket records
      description: Paginated response with all tickets created by customers
      operationId: list-tickets
      responses:
        '200':
          description: Paginated response with ticket records
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of ticket record objects
                    items:
                      $ref: '#/components/schemas/Ticket'
                  first_page_url:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/tickets?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: https://api.mijnklantportaal.nl/v1/tickets?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/tickets
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
        '426':
          description: The ticketing system is not available in the current license
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Ticket:
      type: object
      description: Ticket record
      properties:
        id:
          type: string
          example: tic_abc12345def678
          description: ID of the Webhook record, always starting with `tic_`.
        customerId:
          type: string
          nullable: true
          example: cst_abc12354678
          description: ID of the Customer this ticket belongs to
        title:
          type: string
          example: Invoice issue
          description: Title of the ticket, mostly describing the ticket
        source:
          type: string
          example: portal
          description: Source of the ticket. Can be `portal`, `email` or `chat`.
        status:
          type: string
          example: open
          description: Current status of the ticket. Can be `open` or `closed`.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: Date and time when the ticket was created, written in ATOM format.
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````